Package org.eclipse.cdt.utils.debug

## Class DebugVisibility

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugVisibility

    public final class DebugVisibility
    extends Object

DebugVisibility

### Field Summary

Fields
`static DebugVisibility` `PRIVATE`
`static DebugVisibility` `PROTECTED`
`static DebugVisibility` `PUBLIC`
`static DebugVisibility` `UNKNOWN`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final DebugVisibility UNKNOWN

#### PUBLIC

    public static final DebugVisibility PUBLIC

#### PROTECTED

    public static final DebugVisibility PROTECTED

#### PRIVATE

    public static final DebugVisibility PRIVATE

### Method Detail

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`